Package gem-nokogiri: Information

Source package: gem-nokogiri
Version: 1.16.2-alt1
Latest version according to Repology
Build time:  Feb 11, 2024, 09:54 AM in the task #340134
Category: Development/Ruby
Report package bug
License: MIT
Summary: Ruby libraries for Nokogiri (HTML, XML, SAX, and Reader parser)
Description: 
Nokogiri parses and searches XML/HTML very quickly, and also has correctly
implemented CSS3 selector support as well as XPath support. This package
contanis Ruby libraries for Nokogiri.

List of rpms provided by this srpm:
gem-nokogiri (x86_64, ppc64le, i586, armh, aarch64)
gem-nokogiri-debuginfo (x86_64, ppc64le, i586, armh, aarch64)
gem-nokogiri-devel (noarch)
gem-nokogiri-doc (noarch)
nokogiri (noarch)



ACL:
@ruby

    1. gem(bundler) >= 2.1.4
    2. gem(mini_portile2) >= 2.8.2
    3. gem(minitest) >= 5.17.0
    4. gem(minitest-parallel_fork) = 2.0.0
    5. gem(mutex_m) >= 0
    6. gem(racc) >= 1.4
    7. gem(rake) >= 13.1.0
    8. gem(rake-compiler) >= 1.1.2
    9. gem(rake-compiler-dock) >= 1.2.1
    10. gem(rdoc) >= 6.1.1
    11. gem(rexical) = 1.0.7
    12. gem(rubocop) >= 1.15.0
    13. gem(rubocop-minitest) >= 0.13.0
    14. gem(rubocop-packaging) >= 0.5.2
    15. gem(rubocop-performance) >= 1.11.3
    16. gem(rubocop-rake) >= 0.6.0
    17. gem(rubocop-shopify) >= 2.14.0
    18. gem(ruby_memcheck) >= 2.2.1
    19. gem(rubyzip) >= 2.3.2
    20. gem(simplecov) >= 0.17
    21. libxml2-devel
    22. libxslt-devel
    23. rpm-build-ruby
    24. zlib-devel

Last changed


Feb. 9, 2024 Pavel Skrylev 1.16.2-alt1
- ^ 1.15.5 -> 1.16.2
- ! fixed CVE-2024-25062
Nov. 29, 2023 Pavel Skrylev 1.15.5-alt1
- ^ 1.13.8 -> 1.15.5
Oct. 6, 2022 Pavel Skrylev 1.13.8-alt1.1
- !build requires gemlist closing it under the with check condition